> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a link

> Retrieve a link for the authenticated workspace by its ID



## OpenAPI

````yaml GET /links/{id}
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /links/{id}:
    get:
      tags:
        - Links
      summary: Retrieve a link by its ID
      parameters:
        - in: path
          name: id
          required: true
          description: The ID of the link to retrieve
          schema:
            type: string
        - name: workspace
          in: query
          required: true
          schema:
            type: string
          description: Workspace URL
      responses:
        '200':
          description: Link retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: link123
                  key:
                    type: string
                    example: unique-key
                  domain:
                    type: string
                    example: example.com
                  url:
                    type: string
                    example: https://example.com
                  _count:
                    type: object
                    properties:
                      views:
                        type: integer
                        example: 100
                  document:
                    type: object
                    properties:
                      id:
                        type: string
                        example: doc123
                      name:
                        type: string
                        example: Document Name
                      type:
                        type: string
                        example: pdf
                      file:
                        type: string
                        example: https://example.com/document.pdf
                  qrcode:
                    type: object
                    nullable: true
                    description: QR code associated with the link
        '400':
          description: Missing or invalid parameters
        '422':
          description: Link not found
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````